Package org.apache.catalina.storeconfig

# Class JarScannerSF

java.lang.Object
org.apache.catalina.storeconfig.StoreFactoryBase
org.apache.catalina.storeconfig.JarScannerSF

All Implemented Interfaces:
  `IStoreFactory`

public class JarScannerSF extends StoreFactoryBase
Store server.xml Element JarScanner

- ## Field Summary

  ### Fields inherited from class org.apache.catalina.storeconfig.StoreFactoryBase

  `sm`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JarScannerSF()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `storeChildren(PrintWriter aWriter, int indent, Object aJarScanner, StoreDescription parentDesc)`
  Store the specified JarScanner properties and children (JarScannerFilter)

  ### Methods inherited from class org.apache.catalina.storeconfig.StoreFactoryBase

  `getInfo, getRegistry, getStoreAppender, setRegistry, setStoreAppender, store, storeElement, storeElementArray, storeXMLHead`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JarScannerSF

    public JarScannerSF()

- ## Method Details

  - ### storeChildren

    public void storeChildren(PrintWriter aWriter, int indent, Object aJarScanner, StoreDescription parentDesc) throws Exception
    Store the specified JarScanner properties and children (JarScannerFilter)
    Overrides:
      `storeChildren` in class `StoreFactoryBase`
    Parameters:
      `aWriter` - PrintWriter to which we are storing
      `indent` - Number of spaces to indent this element
      `aJarScanner` - JarScanner whose properties are being stored
      `parentDesc` - The element description
    Throws:
      `Exception` - if an exception occurs while storing